
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何将应用程序由ASP.NET 1.1移植到ASP.NET 2.0 / iVAN</title>

    <meta name="description" content="如何将应用程序由ASP.NET 1.1移植到ASP.NET 2.0 asp.net|程序 新版本平台的推出总是伴随着许多压力,以及人们对期待已久功能的兴奋之情.开发者喜欢利用新技术建立应用程序,不过,在将现有的可靠应用程序由旧版本平台移植到最新最完善版本的过程中,总会遇到一些困难. 本周,我来讨论将在ASP.NET 1.1中建立的网络应用程序移植到2.0版本过程中可能出现的一些问题. ASP.NET 2.0 新版的ASP.NET 2.0不只是一次升级--它是一次重大的技术更新,因为它改变了ASP.NET应用程序的设计.编译及配置方式.微软意识到,现在还存在大量的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何将应用程序由ASP.NET 1.1移植到ASP.NET 2.0</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>asp.net|程序</p>
<p>新版本平台的推出总是伴随着许多压力，以及人们对期待已久功能的兴奋之情。开发者喜欢利用新技术建立应用程序，不过，在将现有的可靠应用程序由旧版本平台移植到最新最完善版本的过程中，总会遇到一些困难。</p>
<p>本周，我来讨论将在ASP.NET 1.1中建立的网络应用程序移植到2.0版本过程中可能出现的一些问题。</p>
<p><strong>ASP.NET 2.0</strong></p>
<p>新版的ASP.NET 2.0不只是一次升级——它是一次重大的技术更新，因为它改变了ASP.NET应用程序的设计、编译及配置方式。微软意识到，现在还存在大量的ASP.NET 1.1程序，因此2.0旨在让旧版应用程序无故障地运行。另一方面，技术升级也产生了将现有应用程序转换到2.0平台的需要。考虑到上述问题，我们来讨论一下这两个版本之间的区别，以及在转换过程中可能会遇到的问题。</p>
<p><strong>版本变化</strong></p>
<p>虽然ASP.NET 2.0针对1.1进行了许多改变，但某些变化对于项目转换有着重大的影响。下面的列表简单概括了一些主要改变：</p>
<ul>
<li><strong>代码隐藏模式</strong>：ASP.NET 2.0引入了部分类的概念，而一个类能够跨越多个类文件。这是Visual Studio 2005应用的一项主要功能，它将系统生成的代码与用户代码分离开来。这避免了你在阅读源代码时遇到系统生成代码的情况。部分类方法降低了无意编辑系统代码并导致更小的代码隐藏文件的风险。</li>
<li><strong>目录</strong>：ASP.NET 2.0增加了许多特殊的目录，而1.1仅有一个必要的bin目录。这些新目录大都以App_为前缀，如App_Code、App_Date、App_ GlobeResources和App_LocalResources，bin目录依然与一个主题目录一同存在。新增目录是2.0取消项目文件的主要手段。</li>
<li><strong>删除项目文件</strong>：ASP.NET与Visual Studio 2005使用项目文件的日子一去不复返了。项目现在变成了完整的网络项目目录，这与1.1有了很大的不同，并可能引起后面提到的移植问题。</li>
<li><strong>编译模式</strong>：在1.1中，所有的代码被编译到bin目录中的一个集合中。在2.0中，这个集合被分割成几个集合。这些集合可以在空闲时建立，或预先编译。每个ASP.NET目录，如App_Code和App_Data，以及Web Forms、User Controls等都有各自的集合。这是应用程序结构方面的重大变化，它为向用户交付应用程序提供更多配置选项。</li>
<li><strong>应用程序配置</strong>：1.1版应用程序的配置相当简单，你只要移动内容文件以及必要的集合文件，再复制并粘贴就可完成，并没有多少选择的余地。2.0为应用程序配置提供各种选择。例如，你可以选择预先编译代码再配置它；或不预先编译而使用其它方法。另外，你还可以锁定已配置的内容文件，防止在配置后再进行修改（这与1.1有很大不同）。</li>
</ul>
<p>上表详细说明了ASP.NET 1.1与2.0的主要差异，以及它们对应用程序移植可能造成的影响。现在我们再进一步讨论可能出现的问题。</p>
<p><strong>应用程序转换</strong></p>
<p>上一部分说明的新旧版本间的主要差异为转换应用程序时可能遇到的问题提供了一些线索。下表着重强调在将一个应用程序移植到新的ASP.NET 2.0平台时需要注意的问题：</p>
<ul>
<li>在转换前，你必须确定应用程序在1.1中能够正常运行。在一个多功能项目中，在转换前应进行备份。</li>
<li>2.0中删除了项目文件，这与1.1有很大不同。在2.0中，所有的引用被转移到它们自己的目录中。另外，网络项目文件夹现在变成项目。因此，在2.0中，需要将旧版1.1中有多个地址的项目划分成单独的项目。在转换前必须划分这些项目。</li>
<li>2.0的新目录结构需要1.1中用到的资源和其它组件，你需要将它们转移到新目录中。</li>
<li>.NET Framework已由1.1升级到2.0，因此2.0可能不再支持1.1中的一些功能（如类或它们的方法和/或属性）。</li>
</ul>
<p><strong>转换向导</strong></p>
<p>微软同时考虑到项目转换问题。Visual Studio 2005中包含一个转换向导，帮助你进行项目转换。</p>
<p>在转换前，Visual Studio转换向导首先要求你对现有应用程序进行备份（这是个非常不错的主意）。接下来，它执行转换，并在完成转换后显示一个转换日志。在新版本号中被替代或取消的.NET Framework功能是转换过程中可能出现的常见问题。<u></u></p>
<p>列表A中的信息指出，一项功能已被新版本中的另一功能代替，因此我必须手工修改代码。不同的应用程序在转换过程中可能出现各种问题。你需要单独解决每一个问题，做出必要的改变，才能充分利用2.0平台。</p>
<p><strong>逐步转换</strong></p>
<p>不管哪种转换，最好是逐步、有条理地进行。没有必要进行快速转换。ASP.NET 2.0中增加了大量新功能，可以方便地建立强大的解决方案，但当你将旧版ASP.NET 1.1应用程序转换到新平台时，必须考虑到这些改变。记住本文所讨论的这些变化，利用转换向导，一步步地转换到新平台。</p>
<p><em>Tony Patton</em><em>拥有丰富的Java、VB、Lotus及XML方面的知识，是一个专业的应用程序开发人员。</em></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:56:27</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%9b%ae%e5%bd%95/" title="目录">目录</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e7%a8%8b%e5%ba%8f/" title="应用程序">应用程序</a>, <a href="https://www.iamivan.net/tag/net/" title="net">net</a>, <a href="https://www.iamivan.net/tag/1-1/" title="1&colon;1">1&colon;1</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b9%e7%9b%ae/" title="项目">项目</a>, <a href="https://www.iamivan.net/tag/net-2-0/" title="net 2&period;0">net 2&period;0</a>, <a href="https://www.iamivan.net/tag/2-0/" title="2&period;0">2&period;0</a>, <a href="https://www.iamivan.net/tag/net1-1/" title="&period;net1&period;1">&period;net1&period;1</a>, <a href="https://www.iamivan.net/tag/1-1%e4%b8%8e2-0/" title="1&period;1与2&period;0">1&period;1与2&period;0</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何将应用程序由ASP.NET 1.1移植到ASP.NET 2.0的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMNDL4z.html" rel="bookmark">如何由ASP&period;NET 1&period;1移植到ASP&period;NET 2&period;0</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				新版本平台的推出总是伴随着许多压力,以及人们对期待已久功能的兴奋之情.开发者喜欢利用新技术建立应用程序,不过,在将现有的可靠应用程序由旧版本平台移植到最新最完善版本的过程中,总会遇到一些困难. 本周,我来讨论将在ASP.NET 1.1中建立的网络应用程序移植到2.0版本过程中可能出现的一些问题. ASP.NET 2.0 新版的ASP.NET 2.0不只是一次升级--它是一次重大的技术更新,因为它改变了ASP.NET应用程序的设计.编译及配置方式.微软意识到,现在还存在大量的 ASP.NET 1.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6ZAQyM.html" rel="bookmark">我有一个比较规范的ASP网页&comma;请问如何移植到ASP&period;NET上去&quest;&quest;有没有这类工具&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 不求100%移植,只要有点样子出来就行! 解决方案 解决方案二:直接放到IIS里就行了.不成的话,就改为ASPX解决方案三:有点样子是什么意思?解决方案四:差别大了,没办法直接移,要重新做!!!偶可以帮你做!!!价格公道便宜!!!!联系QQ175279857			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9Mxl00M.html" rel="bookmark">预防ASP网站被黑 彻底了解ASP木马</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				鉴于大部分网站入侵都是利用asp木马完成的,特写此文章以使普通虚拟主机用户能更好地了解.防范asp木马.也只有空间商和虚拟主机用户共同做好防范措施才可以有效防范asp木马! 一.什么是asp木马? 它其实就是用asp编写的网站程序,甚至有些asp木马就是由asp网站管理程序修改而来的. 它和其他asp程序没有本质区别,只要是能运行asp的空间就能运行它,这种性质使得asp木马非常不易被发觉.它和其他asp程序的区别只在于asp木马是入侵者上传到目标空间,并帮助入侵者控制目标空间的asp程序.要想			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeajOz.html" rel="bookmark">ASP&plus;中文教程（一）--asp&plus;简介、安装、以及如何显示中文</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp+|教程|显示|中文 ASP+ 中文教程-----asp+简介.安装.以及如何显示中文 终于空下一段时间,可以学一些新东西,看了一下有关asp+的相关资料,觉得很值得学一下,所以就一边学习一边写下这个教程,对于自己来说,可以作为学习笔记,对于别人,尤其是那些E文不太好的朋友可以作为一个可看的中文资料吧,起个抛砖引玉的作用.由于水平所限,错误在所难免,希望大家能批评指正.首先我将讲一下什么是asp+ , 然后我会结合NGWS自带的例子具体讲一下asp+的应用.由于平常用C较多,所以所有例子都			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQLRZz.html" rel="bookmark">asp&plus;中文教程（二）-- Asp&plus; Web Forms</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp+|web|教程|中文 二.ASP + Web Forms ASP + Web Forms ,一个微软的新名词,照它自己的话说,ASP + Web Forms页面框架是一个可升级的NGWS runtime编程模型,可以在服务器上动态产生网页.不太好懂是吗,其实说白了,和HTML的表单一样,但它可以在服务器端动态改变,而不象静态HTML表单那样一旦生成就无法改变,当然,用DHTML或remote script也可以做到动态改变,但毕竟不是很方便.那么,究竟Web Forms是个什么样呢?其实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvL79z.html" rel="bookmark">菜鸟学习ASP基础之了解什么是asp</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.什么是ASP? 从字面上说,ASP包含三方面含义: 1.Active:ASP使用了Microsoft的ActiveX技术.ActiveX(COM)技术是现在Microsoft软件的重要基础.它采用封装对象,程序调用对象的技术,简化编程,加强程序间合作.ASP本身封装了一些基本组件和常用组件,有很多公司也开发了很多实用组件.只要你可以在服务器上安装这些组件,通过访问组件,你就可以快速.简易地建立自己的WEB应用. 2.Server:ASP运行在服务器端.这样就不必担心浏览器是否支持ASP所使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDmPLb.html" rel="bookmark">MS IIS虚拟主机ASP源码泄露&lpar;MS&comma;缺陷&rpar;-ASP漏洞集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iis|虚拟主机    涉及程序:   MS Windows NT/IIS   描述:   共享目录导致ASP程序源码泄露   详细:   如果一个虚拟主机的根目录是映射到一网络共享目录,通过在ASP或者HTR扩展名后增加某些特殊字符,IIS服务器将反送出这个asp   或者htr文件的全部源代码.如果IIS的文件安装在本地驱动器上,就没有该泄漏源码这个问题.   在虚拟目录文件中的asp文件后增加一个符号&quot;\&quot;,IIS就会泄漏该asp文件源代码.   例如,如果虚拟目录/asp/映射			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlYvRp.html" rel="bookmark">ASP入门知识：简单介绍ASP的基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ASP文件可包含文本.HTML标签和脚本.ASP文件中的脚本可在服务器上执行. 在学习之前,应具备的知识: 在继续学习之前,您需要对以下知识有基本的了解: HTML / XHTML 诸如JavaScript或者VBScript的脚本语言 如果希望学习上面的项目,请在我们的首页访问这些教程. ASP是什么? ASP指Active Server Pages(动态服务器页面) ASP是运行于ISS之中的程序 IIS指Internet Information Services(因特网信息服务) IIS是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz700Kb.html" rel="bookmark">ASP&period;NET底层架构探索之ASP&period;NET管道</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|架构 HttpApplication触发事件来通知你的程序有事发生,以此来负责请求流转.这作为HttpApplication.Init()函数的一部分发生(用Reflector查看System.Web.HttpApplication.InitInternal()方法和HttpApplication.ResumeSteps()方法来了解更多详情),连续设置并启动一系列事件,包括执行所有的处理器(handler).这些事件处理器映射到global.asax中自动生成的哪些事件中,同时			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqDRbm.html" rel="bookmark" class="title">30个各领风骚的酒店网站设计</a>
					<div>
						  今天这组网站,大多以全屏背景图突显酒店特色,不过背景该抓细节还是从大出着手,色调与构图该如何搭配,设计师们的风格却有云泥之别 &gt;&gt;&gt; Flora Group Hotels Par ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ1Q8p.html" rel="bookmark" class="title">XML的四种解析器原理及性能比较</a>
					<div>
						xml|比较|性能  1: DOM    DOM 是用与平台和语言无关的方式表示 XML 文档的官方 W3C 标准.DOM 是以层次结构组织的节点或信息片断的集合.这个层次结构允许开发人员在树中寻找特 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwVlOp.html" rel="bookmark" class="title">domain域名不在首页的四大原因及对策</a>
					<div>
						[导读]作为站长,我们几乎每天都会跟搜索引擎专有的语法打交道.比如查询收录的site语法,查询外链的domain语法-这两个语法是站长们最常用的,今天潇湘驭文就来谈谈domain域名不在首页的原因及对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b25WZz.html" rel="bookmark" class="title">Informix SQL语句详细解说</a>
					<div>
						1.CREATE DATABASE database_name [WITH LOG IN &quot;pathname&quot;] 创建数据库. database_name:数据库名称. &quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5GEWb.html" rel="bookmark" class="title">解决每次打开office 2010都会出现正在配置的问题</a>
					<div>
						有时候我们安装好office2010后,每次打开word 或者 PPT或者其他office文档时候会提示&quot;安装程序正在准备必要的文件&quot;然后是&quot;正在配置Microsoft  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2G84b.html" rel="bookmark" class="title">Delphi中用多媒体库Bass&period;dll播放mp3 &lbrack;13&rsqb;</a>
					<div>
						本例效果图: 代码文件: unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9107kM.html" rel="bookmark" class="title">Linux中的read命令：读取输入</a>
					<div>
						read命令用于从键盘或标准输入中读取文本.以交互的形式读取来自用户的输入.默认用&quot;回车键&quot;作为结束. 一般使用在自动化的sh脚本中. #用不回显(non-echoed)方式读取密 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNE9l4b.html" rel="bookmark" class="title">photoshop简单制作弧形的字体</a>
					<div>
						  photoshop简单制作弧形的字体 1.新建空白文件,内容选填白色 2.用文字工具输入需要的文字 3.选中需要设计的字,设置字体,大小,颜色 4.点击 变形文字 工具 选择 扇形 ,文字弯曲度可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGw95p.html" rel="bookmark" class="title">Photoshop给草地婚片加上淡美的温馨暖褐色</a>
					<div>
						图片的暗部区域较多,比较适合褐色调.处理的时候只需要简单调出主色,并把暗部调成所需的褐色,再简单美化人物,渲染高光及补色即可. 原图 &lt;点小图查看大图&gt; photoshop教程最终效果 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjNw4b.html" rel="bookmark" class="title">excel2010如何加载宏</a>
					<div>
						  第一种方法: 先按组和键 Alt + T ,出现下图所示提示 松开后,再单独按下 I . 然后就是如下图选择 分析工具库 第二种方法: 点击 文件 点击 选项 点击左边 倒数第二个 加载宏 点击  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr3w3p.html" rel="bookmark" class="title">三线SWD模式Jlink</a>
					<div>
						  在公司实习,部门经理让我做一个USB-CAN的适配器. 在网上找资料,找到一个开源的USB-CAN的适配器的资料. 采用的是CP2102芯片实现USB转串口.STM32作为主控,高速CAN收发器采 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa7wRM.html" rel="bookmark" class="title">美国数字千年版权法案3年期限已到</a>
					<div>
						曾被称为&quot;免费午餐&quot;的&quot;越狱&quot;行为也将随之成为历史.美国国会图书馆在新一轮审查中表示,&quot;平板&quot;这一词语所代表的设备过于宽泛,电纸书.掌上游戏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr8qXp.html" rel="bookmark" class="title">【思维改变生活】判断与决策</a>
					<div>
						问题一 如果你家附近有一家餐厅,东西又贵又难吃,桌上还爬着蟑螂,你会因为它很近 很方便,就一而再.再而三地光临吗? 回答:你一定会说,这是什么烂问题,谁那么笨,花钱买罪受? 可同样的情况换个场合,自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA2AvM.html" rel="bookmark" class="title">获得所有表单值的JQuery实现代码&lbrack;IE暂不支持&rsqb;&lowbar;jquery</a>
					<div>
						IE 暂不支持CSS: 复制代码 代码如下: &lt;style&gt;        body{             margin:0;             padding:0;       ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My32mdz.html" rel="bookmark" class="title">大话设计模式：（六大原则）</a>
					<div>
						设计模式六大原则分别是单一职责原则(SPR).开放-封闭原则.里氏代换原则(LSP).依赖倒转原则.迪米特原则(LoD)和合成/聚合复用原则(CARP).   1.单一职责原则,就一个类而言,应该仅有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6aQVb.html" rel="bookmark" class="title">基于stm32的can总线彻底研究</a>
					<div>
						1.CAN总线的初始化 void can_init(void){      CAN_InitTypeDef        CAN_InitStructure;      CAN_FilterInitT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PkmVp.html" rel="bookmark" class="title">素数最短距离问题</a>
					<div>
						素数距离问题 时间限制:3000 ms | 内存限制:65535 KB 难度:2 描述 现在给出你一些数,要求你写出一个程序,输出这些整数相邻最近的素数,并输出其相距长度. 如果左右有等距离长度素数, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YEP4M.html" rel="bookmark" class="title">RSS阅读器：从订阅到发现之旅？</a>
					<div>
						zhengyun 20070805 曹增辉在&lt;RSS阅读器:工具化还是媒介化&gt;提出了对抓虾新动作的定义:&quot;对于抓虾这次调整的思路,不少人将之归结为&quot;社区化&quot;, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNl4Kz.html" rel="bookmark" class="title">APRoundedButton</a>
					<div>
						APRoundedButton https://github.com/elpsk/APRoundedButton 效果: 源码: APRoundedButton.h // // Created by  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQX7Nz.html" rel="bookmark" class="title">linux内核-内存拷贝函数copy&lowbar;from&lowbar;user的问题？</a>
					<div>
						问题描述 内存拷贝函数copy_from_user的问题? 在copy_from_user里如何判断参数const void __user *from是哪个进程的用户空间地址? 解决方案 有一个函数专 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7ZG2z.html" rel="bookmark" class="title">android-Android  不需要启动activity的传值</a>
					<div>
						问题描述 Android 不需要启动activity的传值 想把一个activity中解析出的值 传递到 adapter中 怎么实现 不能使用带有 startactivity 在handler里面 i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3r2RAz.html" rel="bookmark" class="title">Java的Process对象能不能在执行命令之后一段时间再去获取InputStream&quest;</a>
					<div>
						问题描述 用Runtime.getRuntime().exec(cmd)执行命令获得了一个Process对象,但这个时候命令没有输出,要执行了其它操作之后才会有一连串的结果输出(命令就像一个服务器程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94JnRb.html" rel="bookmark" class="title">完美解决在ModalPopupExtender中使用CalendarExtender时被层遮挡的问题</a>
					<div>
						ASP.NET AJAX Control Toolkit是一组非常不错的基于asp.net的ajax控件,它建立在asp.net 3.0的ScriptManager组件之上,提供了很多非常实用的效果和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX1R4z.html" rel="bookmark" class="title">马云：网货时代将成世界主流</a>
					<div>
						□本版撰文 信息时报记者 陆俊 5月17日,在广州流花展馆的中国&quot;首届网商交易会&quot;上,阿里巴巴董事局主席马云指出,&quot;通过网货交易,希望能让广东的产品和制造业扩大内需,通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLnE0p.html" rel="bookmark" class="title">请问大神错在哪里 c语言初学者</a>
					<div>
						问题描述 请问大神错在哪里 c语言初学者 #includeint main(void)one-three(void);two(void);{ printf(&quot;&quot;starting n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV080nM.html" rel="bookmark" class="title">oom-OOM&comma;native meory exhausted</a>
					<div>
						问题描述 OOM,native meory exhausted 在前置平台测大报文的时候报出来的OOM,出core的dump文件4~5m很小,虚拟机配置的内存为512~1024M,从core文件中能看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkgaqM.html" rel="bookmark" class="title">url编码问题</a>
					<div>
						问题描述 我http:localhost/book/图书.aspx用urlrewrietnet可以成功请求http:localhost/book.aspx?key=图书,可是我把图书编码后为http: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7BoOz.html" rel="bookmark" class="title">苹果新专利：自保护型高性能混合硬盘</a>
					<div>
						目前在美国专利及商标局已经公布的有关于苹果的一项专利中,在其中详细阐述了苹果使用传统的硬盘存储和闪存来共同驱动的混合存储系统.此系统与现有的混合存储仅专注于计算机性能的提升不同,苹果公司的混合存储系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6lewM.html" rel="bookmark" class="title">中国国家知识产权局副局在贵州督查软件正版化工作时表示</a>
					<div>
						按照国务院的要求,全国各地要在今年10月底前完成省.市.县三级国家机关软件正版化的检查整改工作,企业软件正版化特别是中小企业方面也要取得进一步突破.业界普遍认为,此举将对国内软件企业,特别是上市企业带 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0oxVp.html" rel="bookmark" class="title">分享20个Unix&sol;Linux 命令技巧&lowbar;linux shell</a>
					<div>
						让我们用这些Unix/Linux命令技巧开启新的一年,提高在终端下的生产力.我已经找了很久了,现在就与你们分享. &gt; /path/to/file.log # 或使用如下格式 : &gt; /pa ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
